
@prefix ex: <http://datashapes.org/sh/tests/core/complex/ismi.test#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .

@prefix ismi: <http://ontologies.mpiwg-berlin.mpg.de/ismi/> .
@prefix crm: <http://www.cidoc-crm.org/cidoc-crm/> .
@prefix crmdig: <http://www.ics.forth.gr/isl/CRMdig/> .
@prefix frbroo: <http://iflastandards.info/ns/fr/frbr/frbroo/> .

ex:PersonShape a sh:NodeShape ;
  sh:targetClass ismi:Person ;
  sh:class crm:E21_Person ;
  sh:property ex:PersonLabelShape ;
  sh:property ex:PersonNameShape .
  
ex:PersonLabelShape sh:path rdfs:label .

ex:PersonNameShape sh:path crm:P1_is_identified_by ;
  sh:or (
    [ sh:class crm:E41_Appellation ]
    [ sh:class crm:E42_Identifier ]
    ) .
